#
# spec file for package perl-Business-Hours
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Business-Hours
Version:        0.12
Release:        1.1
%define cpan_name Business-Hours
Summary:        Calculate business hours in a time period
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Business-Hours/
Source:         http://www.cpan.org/authors/id/R/RU/RUZ/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Set::IntSpan) >= 1.12
Requires:       perl(Set::IntSpan) >= 1.12
%{perl_requires}

%description
This module is a simple tool for calculating business hours in a time
period. Over time, additional functionality will be added to make it easy
to calculate the number of business hours between arbitrary dates.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Business-Hours/Changes
  0.12
  * merge of 0.11 and 0.10_01:
  * * support shifts over midnight
  * * code refactoring
  0.11
  * POD fixes
  * changes from 0.10_01 were skipped
* Wed Apr 25 2012 darin@darins.net
- updated to 0.10_1
* Wed Dec  1 2010 darin@darins.net
- initial package 0.09
  * created by cpanspec 1.78.03
